/*
 *  * Copyright (c) 2004 Xilinx, Inc.  All rights reserved.
 *
 * Xilinx, Inc.
 * XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" AS A 
 * COURTESY TO YOU.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION AS
 * ONE POSSIBLE   IMPLEMENTATION OF THIS FEATURE, APPLICATION OR 
 * STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION 
 * IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND YOU ARE RESPONSIBLE 
 * FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE FOR YOUR IMPLEMENTATION
 * XILINX EXPRESSLY DISCLAIMS ANY WARRANTY WHATSOEVER WITH RESPECT TO 
 * THE ADEQUACY OF THE IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO 
 * ANY WARRANTIES OR REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE 
 * FROM CLAIMS OF INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY 
 * AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/*
 * Xilinx EDK 6.3 EDK_Gmm.11.2
 *
 * This file is a sample test application
 *
 * This application is intended to test and/or illustrate some 
 * functionality of your system.  The contents of this file may
 * vary depending on the IP in your system and may use existing
 * IP driver functions.  These drivers will be generated in your
 * XPS project when you run the "Generate Libraries" menu item
 * in XPS.
 *
 * Your XPS project directory is at:
 *    C:\ML_XUP\edk_6_3_builds\slideshow
 */


// Located in: ppc405_0/include/xparameters.h

//ps2 libraries
#include <xparameters.h> 
#include <xuartns550_l.h>
#include <xps2_l.h>


#define UART_BASEADDR   XPAR_RS232_UART_1_BASEADDR
#define UART_CLOCK      XPAR_XUARTNS550_CLOCK_HZ
#define UART_BAUDRATE   9600


Xuint32 PS2_BASEADDR;


void init_uart();
void clear_screen();
void echo_scancode();

//end ps2 libr
#include "xparameters.h"

#include "xgpio_l.h"
#include "xutil.h"

/*
 * Routine to read data from a GPIO
 * which is configured as an input
 *   PARAMETER C_ALL_INPUTS = 1
 */
Xuint32 ReadFromGPInput(Xuint32 BaseAddress) {
   Xuint32 data = XGpio_mGetDataReg(BaseAddress, 1);
   return data;
}


//====================================================

//ps2 funcs
void echo_scancode(){


  Xuint8 x, xold=0;


  XPs2_mReset(PS2_BASEADDR);


  while(1)
  {
    x = XPs2_RecvByte(PS2_BASEADDR);
    if(x!=0xF0){ //Skip the 'break' scancode
      if(x==0xE0){
        x = XPs2_RecvByte(PS2_BASEADDR);
        XPs2_RecvByte(PS2_BASEADDR);
        XPs2_RecvByte(PS2_BASEADDR);
        XPs2_RecvByte(PS2_BASEADDR);
        xil_printf("(Press ESC to return)Scancode: E0 %02X\r\n", x);
      }else{
        if(x!=xold)
          xil_printf("(Press ESC to return)Scancode: %02X\r\n", x);
        xold=x;
      }
     

      if(x==0x76)
        return;
    }
  }
 

  return ;
}


void init_uart()
{
    XUartNs550_SetBaud(UART_BASEADDR, UART_CLOCK, UART_BAUDRATE);
    XUartNs550_mSetLineControlReg(UART_BASEADDR, XUN_LCR_8_DATA_BITS);
}


void clear_screen()
{
  XUartNs550_SendByte(UART_BASEADDR, 0x1B);// clear screan
  XUartNs550_SendByte(UART_BASEADDR, '[');
  XUartNs550_SendByte(UART_BASEADDR, '2');
  XUartNs550_SendByte(UART_BASEADDR, 'J');
}

//end ps2 functs


int main (void) {

//ps2 stuff starts here
char s = '0';


  init_uart();


  do{
    clear_screen();
    /*
	 xil_printf("\r\nPS/2 Demo using polled mode\r\n");
    xil_printf("===========================\r\n");
    xil_printf("1: Mouse\r\n");
    xil_printf("2: Keyboard\r\n");
    xil_printf("q: Quit\r\n");
    xil_printf("---------------------------\r\n");
    xil_printf("Please select:");
    s = XUartNs550_RecvByte(UART_BASEADDR);
    xil_printf("%c\r\n",s);*/
	 
	 xil_printf("\r\nJeff Morrison\r\n");
	 xil_printf("CSCE 3610 Final Project\r\n");
	 xil_printf("Keyboard Input To Serial Output\r\n");
	 xil_printf("===============================\r\n\r\n");
	 xil_printf("\r\n");
	 x = XUartNs550_RecvByte(UART_BASEADDR);
	 xil_printf("%c", s);
	 
    

    switch(s){
    case '1':
      xil_printf("Plug a keyboard into the PMP mouse port\r\n");
      PS2_BASEADDR = XPAR_PS2_PORTS_BASEADDR;
      echo_scancode();
      break;


    case '2':
      xil_printf("Plug a keyboard into the PMP keyboard port\r\n");
      PS2_BASEADDR = XPAR_PS2_PORTS_BASEADDR;
      echo_scancode();
      break;
      

    case 'q':
      xil_printf("Bye\r\n");
      return 0;
      break;
    

    default:
      xil_printf("Please input the correct character!\r\n");
      break;
    }
  } while (1);
  //ps2 stuff ends here

   print("-- Entering main() --\r\n");

   {
      Xuint32 data = ReadFromGPInput(XPAR_PUSHBUTTONS_5BIT_BASEADDR);
      //xil_printf("Data read from PushButtons_5Bit: 0x%x\r\n", data);
   }

   /* Testing DDR Memory (DDR_512MB_64Mx64_rank2_row13_col10_cl2_5)*/
   {
      XStatus status;

      print("Starting MemoryTest for DDR_512MB_64Mx64_rank2_row13_col10_cl2_5:\r\n");
      print("  Running 32-bit test...");
      status = XUtil_MemoryTest32((Xuint32*)XPAR_DDR_512MB_64MX64_RANK2_ROW13_COL10_CL2_5_MEM0_BASEADDR, 1024, 0xAAAA5555, XUT_ALLMEMTESTS);
      if (status == XST_SUCCESS) {
         print("PASSED!\r\n");
      }
      else {
         print("FAILED!\r\n");
      }
      print("  Running 16-bit test...");
      status = XUtil_MemoryTest16((Xuint16*)XPAR_DDR_512MB_64MX64_RANK2_ROW13_COL10_CL2_5_MEM0_BASEADDR, 2048, 0xAA55, XUT_ALLMEMTESTS);
      if (status == XST_SUCCESS) {
         print("PASSED!\r\n");
      }
      else {
         print("FAILED!\r\n");
      }
      print("  Running 8-bit test...");
      status = XUtil_MemoryTest8((Xuint8*)XPAR_DDR_512MB_64MX64_RANK2_ROW13_COL10_CL2_5_MEM0_BASEADDR, 4096, 0xA5, XUT_ALLMEMTESTS);
      if (status == XST_SUCCESS) {
         print("PASSED!\r\n");
      }
      else {
         print("FAILED!\r\n");
      }

      print("Starting MemoryTest for DDR_512MB_64Mx64_rank2_row13_col10_cl2_5:\r\n");
      print("  Running 32-bit test...");
      status = XUtil_MemoryTest32((Xuint32*)XPAR_DDR_512MB_64MX64_RANK2_ROW13_COL10_CL2_5_MEM1_BASEADDR, 1024, 0xAAAA5555, XUT_ALLMEMTESTS);
      if (status == XST_SUCCESS) {
         print("PASSED!\r\n");
      }
      else {
         print("FAILED!\r\n");
      }
      print("  Running 16-bit test...");
      status = XUtil_MemoryTest16((Xuint16*)XPAR_DDR_512MB_64MX64_RANK2_ROW13_COL10_CL2_5_MEM1_BASEADDR, 2048, 0xAA55, XUT_ALLMEMTESTS);
      if (status == XST_SUCCESS) {
         print("PASSED!\r\n");
      }
      else {
         print("FAILED!\r\n");
      }
      print("  Running 8-bit test...");
      status = XUtil_MemoryTest8((Xuint8*)XPAR_DDR_512MB_64MX64_RANK2_ROW13_COL10_CL2_5_MEM1_BASEADDR, 4096, 0xA5, XUT_ALLMEMTESTS);
      if (status == XST_SUCCESS) {
         print("PASSED!\r\n");
      }
      else {
         print("FAILED!\r\n");
      }
   }

   /* 
    * MemoryTest routine will not be run for the memory at 
    * plb_bram_if_cntlr_1.C_BASEADDR
    * because it is being used to hold a part of this application program
    */


   print("-- Exiting main() --\r\n");
   return 0;
}

