//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2004 Xilinx, Inc.
//     All rights reserved.
//

/*
 *  Simple slideshow demo with read/write to Compact Flash
 *
 *    Reads images from: "a:\\image01.bmp", "a:\\image02.bmp", "a:\\image03.bmp", ...
 *    Stores images starting at IMAGE_BASEADDR, which by default is 0x0
 *
*/

#include <xparameters.h> 
#include <xuartns550_l.h>
#include <xps2_l.h>
#include <xparameters.h>
#include <sysace_stdio.h>
#include <xtft_l.h>
#include "xio.h"
#include "sleep.h"


void init_uart();
void clear_screen();
void echo_scancode();


#define IMAGE_BASEADDR  0x00000000
#define IMAGE_MAXADDR   0x10000000
#define VGA_BASEADDR		XPAR_VGA_FRAMEBUFFER_DCR_BASEADDR

#define UART_BASEADDR   XPAR_RS232_UART_1_BASEADDR
#define UART_CLOCK      XPAR_XUARTNS550_CLOCK_HZ
#define UART_BAUDRATE   9600

void init_uart()
{
    XUartNs550_SetBaud(UART_BASEADDR, UART_CLOCK, UART_BAUDRATE);
    XUartNs550_mSetLineControlReg(UART_BASEADDR, XUN_LCR_8_DATA_BITS);
}


void clear_screen()
{
  XUartNs550_SendByte(UART_BASEADDR, 0x1B);// clear screan
  XUartNs550_SendByte(UART_BASEADDR, '[');
  XUartNs550_SendByte(UART_BASEADDR, '2');
  XUartNs550_SendByte(UART_BASEADDR, 'J');
}

int main()
{
  
  char s = '0';
  //char s_old = 0;
  //int count = 0;
  //unsigned int tftptr = 0;
  //Xuint32 fill_color = 0xFFFFFF;
  int char_x_counter=0, char_y_counter=0;
  Xuint32 PS2_BASEADDR;
  char scancode[102];
  
  scancode[28] = 'a';
  scancode[50] = 'b';
  scancode[33] = 'c';
  scancode[35] = 'd';
  scancode[36] = 'e';
  scancode[43] = 'f';		
  scancode[52] = 'g';
  scancode[51] = 'h';
  scancode[67] = 'i';
  scancode[59] = 'j';
  scancode[66] = 'k';
  scancode[75] = 'l';
  scancode[58] = 'm';
  scancode[49] = 'n';
  scancode[68] = 'o';
  scancode[77] = 'p';
  scancode[21] = 'q';
  scancode[45] = 'r';
  scancode[27] = 's';
  scancode[44] = 't';
  scancode[60] = 'u';
  scancode[42] = 'v';
  scancode[29] = 'w';
  scancode[34] = 'x';
  scancode[53] = 'y';
  scancode[26] = 'z';
  scancode[41] = ' ';
  scancode[102] = 0x08;
  
  init_uart();
  clear_screen();
  
  /* INITIALIZE VGA DISPLAY */
  xil_printf("\r\nTurning on caches...");
  XCache_EnableDCache(0xF000000F);
  XCache_EnableICache(0xF000000F);
  xil_printf("done.");
	 
  //xil_printf("\r\nSetting image base address...");
  //XIo_Out32(VGA_BASEADDR, IMAGE_BASEADDR);
  //xil_printf("done.");
	 
  xil_printf("\r\nSending display-on command...");
  XIo_Out32(VGA_BASEADDR+1, 0x1);  // turn on display
  XTft_mClearScreen(IMAGE_BASEADDR, 0x00000000);
  xil_printf("done.");
  
  /* PRINT INITIAL DISPLAY INFO */
  clear_screen();	 
  xil_printf("\r\nJeff Morrison\r\n");
  xil_printf("James ???\r\n");
  xil_printf("???\r\n");
  xil_printf("CSCE 3610 Final Project\r\n");
  xil_printf("Keyboard Input To RS232 and VGA Output\r\n");
  xil_printf("======================================\r\n");
  xil_printf("Type characters:\r\n");

  /* INITIALIZE PS2 STUFF */
  PS2_BASEADDR = XPAR_PS2_PORTS_BASEADDR;
  XPs2_mReset(PS2_BASEADDR);

  /* CHARACTER RETRIEVAL LOOP */
  do{
  
    /* RETRIEVE CHARACTER FROM KEYBOARD */	 
    s = XPs2_RecvByte(PS2_BASEADDR);
    XPs2_RecvByte(PS2_BASEADDR);
    XPs2_RecvByte(PS2_BASEADDR);

    if (s == 0xF0) //ignore break char
      continue;
	 
    /* PRINT CHARACTER TO SERIAL INTERFACE */
	 xil_printf("%c ", scancode[s]);
	 
    /* DISPLAY CHARACTER ON VGA */
	 #define char_kern 10
	 #define line_space 10
	 
    switch (s) {
		case 0x5A: //enter key starts new line
        char_x_counter = 0;
        char_y_counter += line_space;
        break;
		
		case 0x76: //escape key clears the screen
		  XTft_mClearScreen(IMAGE_BASEADDR, 0x00000000);
		  char_x_counter = 0;
		  char_y_counter = 0;
		  break;
		
		case 0x66: //backspace key wipes last char on current line
		  if (char_x_counter > 0) {
		    char_x_counter -= char_kern;
		    XTft_WriteChar(IMAGE_BASEADDR, ' ', 25+char_x_counter, 25+char_y_counter, 0xFFFFFF, 0x0);
		    XTft_WriteChar(IMAGE_BASEADDR, ' ', 25+char_x_counter, 25+char_y_counter+line_space, 0xFFFFFF, 0x0);
		  }
		  break;
		
      default:
        XTft_WriteChar(IMAGE_BASEADDR, scancode[s], 25+char_x_counter, 25+char_y_counter, 0xFFFFFF, 0x0);
        XTft_WriteChar(IMAGE_BASEADDR, ' ', 25+char_x_counter, 25+char_y_counter+25, 0xFFFFFF, 0x0);
        char_x_counter += char_kern;
    }
	 
    if (char_x_counter == char_kern*25) {
      char_x_counter = 0;
      char_y_counter += line_space;
    }
  } while (1);
}
